#!/bin/bash
set -e

gitolite_root=/var/lib/gitolite
repository_root="${gitolite_root}/repositories"
tails_common_hookdir="${gitolite_root}/.gitolite/hooks/tails_common"
jenkins_jobs_hookdir="${gitolite_root}/.gitolite/hooks/jenkins_jobs"

/usr/bin/find "$repository_root" \
   -mindepth 1 -maxdepth 1 \
   -type d -print0 | while IFS= read -r -d '' repository ; do
    # first make sure the post-update.d hook is there for every repo
    #if [[ -e "${tails_common_hookdir}/post_update.d.hook" && ! -h "${tails_common_hookdir}/post_update.d.hook" ]]; then
    #    echo "post_update.d.hook exists, but is not a symlink, please investigate!"
    #    exit 2
    #fi
    #if [ -h "${tails_common_hookdir}/post_update.d.hook" ]; then
    #    if [ "$(readlink ${tails_common_hookdir}/post_update.d.hook)" != "${repository}/hooks/post-update" ]; then
    #        echo "unexpected post_update.d.hook link location, please investigate!"
    #        exit 2
    #    fi
    #fi
    #if [ ! -d "${repository}/hooks/post-update.d" ]; then
    #    mkdir "${repository}/hooks/post-update.d"
    #    chown gitolite:gitolite "${repository}/hooks/post-update.d"
    #fi

    # now setup the Puppet modules hooks
    case $(basename "$repository") in 
        puppet-*)
	    if ! grep -qs -x "$(basename "$repository")" \
                  /var/lib/gitolite/projects.list ; then
	       continue
	    fi
            if [ ! -d "${repository}/hooks/post-update.d" ]; then
                mkdir "${repository}/hooks/post-update.d"
                chown gitolite:gitolite "${repository}/hooks/post-update.d"
            fi
            if [ ! -h "${repository}/hooks/post-update" ]; then
                /bin/ln -s "${tails_common_hookdir}/post_update.d.hook" "${repository}/hooks/post-update"
            fi
            # if [ ! -h "${repository}/hooks/post-update.d/kgb-post-update.hook" ]; then
            #     /bin/ln -s "${tails_common_hookdir}/kgb-post-update.hook" "${repository}/hooks/post-update.d/kgb-post-update.hook"
            # fi
            if [ ! -h "${repository}/hooks/post-update.d/immerda_mirror-post-update.hook" ]; then
                /bin/ln -s "${tails_common_hookdir}/immerda_mirror-post-update.hook" "${repository}/hooks/post-update.d/immerda_mirror-post-update.hook"
            fi
            ;;
        jenkins-jobs.git)
            if [ ! -h "${repository}/hooks/pre-receive" ]; then
                /bin/ln -s "${jenkins_jobs_hookdir}/pre-receive.hook" "${repository}/hooks/pre-receive"
            fi
            if [ ! -h "${repository}/hooks/post-update" ]; then
                /bin/ln -s "${jenkins_jobs_hookdir}/post-update.hook" "${repository}/hooks/post-update"
            fi
            ;;
        *)
            ;;
    esac
done

