# Serve Jenkins artifacts over HTTP.
class tails::jenkins::artifacts_store::webserver (
  $ensure = 'present',
  $artifacts_store_path,
  $hostname,
){

  validate_absolute_path($artifacts_store_path)
  validate_string($hostname)

  if !defined(Class['nginx']) {
    class { '::nginx':
      access_log => 'noip',
      error_log  => 'none'
    }
  }

  nginx::vhostsd { $hostname:
    ensure  => $ensure,
    content => template('tails/jenkins/artifacts_store/nginx.erb'),
    notify  => Service[nginx],
    require => [
      Package[nginx],
      File[$artifacts_store_path],
    ],
  }

}
