class tails::jenkins::slave::iso_builder (
  $master_url,
  $http_proxy,
) {

  validate_string(
    $master_url,
    $http_proxy
  )

  class { '::tails::jenkins::slave':
    master_url         => $master_url,
  }

  class { '::tails::builder':
    http_proxy => $http_proxy,
  }
  
  user { 'jenkins':
    membership => minimum,
    groups     => [ 'sudo' ],
    require    => Package['jenkins-slave'],
  }

  file { '/usr/local/bin/collect_build_environment':
    source => 'puppet:///modules/tails/jenkins/slaves/isobuilders/collect_build_environment',
    mode   => '0755',
    owner  => 'root',
    group  => 'root',
  }

  $packages_from_acng_log_deps = [
    'libcarp-assert-perl',
    'libcarp-assert-more-perl',
    'libio-all-perl',
    'liblist-moreutils-perl'
  ]
  ensure_packages($packages_from_acng_log_deps)

}
