# Manage a nginx vhost that reverse proxies our custom APT repo to another web server.
class tails::reprepro::custom::reverse_proxy (
  $public_hostname = 'deb.tails.boum.org',
  $upstream_address = 'http://apt.lizard/',
  ) {

  ### Sanity checks

  validate_string($public_hostname)
  validate_string($upstream_address)

  ### Resources

  nginx::vhostsd { $public_hostname:
    content => template('tails/reprepro/custom/nginx/reverse_proxy.erb'),
    require => Package[nginx],
  }

}
