# Set up what's necessary to automatically check PO files
class tails::tester::check_po (
  $tools_repo_local_user = 'jenkins',
  $tools_repo_checkout   = '/var/lib/jenkins/tools',
  $tools_repo_url        = 'https://git-tails.immerda.ch/jenkins-tools',
  $tools_repo_rev        = 'master',
  $tools_repo_ensure     = 'latest',
) {

  $tester_packages = [
    'i18nspector'
  ]

  ensure_packages($tester_packages)

  vcsrepo { $tools_repo_checkout:
    ensure   => $tools_repo_ensure,
    provider => git,
    source   => $tools_repo_url,
    revision => $tools_repo_rev,
    user     => $tools_repo_local_user,
    require  => Package[jenkins-slave],
  }

}
